import{isEmpty,deepClone,createElementsFromString}from"../../../base/helpers.mjs";import{FormView}from"../../base.mjs";import{InputView}from"../base.mjs";import{StringInputView,TextInputView}from"../string.mjs";import{NumberInputView,FloatInputView}from"../numeric.mjs";import{FormInputView,RepeatableInputView}from"../parent.mjs";import{SelectInputView,SearchListInputView,SearchListInputListView}from"../enumerable.mjs";class ModelPickerListInputView extends SearchListInputListView{static classList=SearchListInputListView.classList.concat(["model-picker-list-input-view"])}class ModelPickerStringInputView extends StringInputView{setValue(e,t){return isEmpty(e)||(e.startsWith("<")?e=createElementsFromString(e)[0].innerText:-1!==e.indexOf("/")&&(e=e.split("/")[1])),super.setValue(e,t)}}class ModelPickerInputView extends SearchListInputView{static placeholder="Start typing to search models…";static stringInputClass=ModelPickerStringInputView;static listInputClass=ModelPickerListInputView}class EngineSizeInputView extends NumberInputView{static min=128;static max=2048;static step=8;static tooltip="When using chunked diffusion, this is the size of the window (in pixels) that will be encoded, decoded or inferred at once. Set the chunking size to 0 in the sidebar to disable chunked diffusion and always try to process the entire image at once."}class DefaultVaeInputView extends SelectInputView{static defaultOptions={ema:"EMA 560000",mse:"MSE 840000",xl:"SDXL",xl16:"SDXL FP16",other:"Other"};static placeholder="Default";static allowEmpty=!0;static tooltip="Variational Autoencoders are the model that translates images between pixel space - images that you can see - and latent space - images that the AI model understands. In general you do not need to select a particular VAE model, but you may find slight differences in sharpness of resulting images."}class VaeInputView extends InputView{static tagName="enfugue-vae-input-view";static selectClass=DefaultVaeInputView;static textClass=StringInputView;static textInputConfig={placeholder:"e.g. stabilityai/sdxl-vae",tooltip:"Enter the name of a HuggingFace repository housing the VAE configuration. Visit https://huggingface.co for more information."};constructor(e,t,i){super(e,t,i),this.defaultInput=new this.constructor.selectClass(e,"default"),this.otherInput=new this.constructor.textClass(e,"other",this.constructor.textInputConfig),this.defaultInput.onChange((()=>{let e=this.defaultInput.getValue();"other"===e?(this.value="",this.otherInput.show()):(this.value=e,this.otherInput.hide()),this.changed()})),this.otherInput.onChange((()=>{"other"===this.defaultInput.getValue()&&(this.value,this.otherInput.getValue(),this.changed())})),this.otherInput.hide()}getValue(){let e=this.defaultInput.getValue();return"other"===e?this.otherInput.getValue():e}setValue(e,t){super.setValue(e,!1),isEmpty(e)?(this.defaultInput.setValue(null,!1),this.otherInput.setValue("",!1),this.otherInput.hide()):-1===Object.getOwnPropertyNames(DefaultVaeInputView.defaultOptions).indexOf(e)?(this.defaultInput.setValue("other",!1),this.otherInput.setValue(e,!1),this.otherInput.show()):(this.defaultInput.setValue(e,!1),this.otherInput.setValue("",!1),this.otherInput.hide()),t&&this.changed()}async build(){return(await super.build()).content(await this.defaultInput.getNode(),await this.otherInput.getNode())}}class MaskTypeInputView extends SelectInputView{static defaultOptions={constant:"Constant",bilinear:"Bilinear",gaussian:"Gaussian"};static tooltip="During multi-diffusion, only a square of the size of the engine is rendereda at any given time. This can cause hard edges between the frames, especially when using a large chunking size. Using a mask allows for blending along the edges - this can remove seams, but also reduce precision.";static defaultValue="bilinear"}class SchedulerInputView extends SelectInputView{static defaultOptions={ddim:"DDIM: Denoising Diffusion Implicit Models",ddpm:"DDPM: Denoising Diffusion Probabilistic Models",deis:"DEIS: Diffusion Exponential Integrator Sampler",dpmss:"DPM-Solver++ SDE",dpmssk:"DPM-Solver++ SDE Karras",dpmsm:"DPM-Solver++ 2M",dpmsmk:"DPM-Solver++ 2M Karras",dpmsms:"DPM-Solver++ 2M SDE",dpmsmka:"DPM-Solver++ 2M SDE Karras",heun:"Heun Discrete Scheduler",dpmd:"DPM Discrete Scheduler (KDPM2)",dpmdk:"DPM Discrete Scheduler (KDPM2) Karras",adpmd:"DPM Ancestral Discrete Scheduler (KDPM2A)",adpmdk:"DPM Ancestral Discrete Scheduler (KDPM2A) Karras",dpmsde:"DPM Solver SDE Scheduler",unipc:"UniPC: Predictor (UniP) and Corrector (UniC)",lmsd:"LMS: Linear Multi-Step Discrete Scheduler",lmsdk:"LMS: Linear Multi-Step Discrete Scheduler Karras",pndm:"PNDM: Pseudo Numerical Methods for Diffusion Models",eds:"Euler Discrete Scheduler",eads:"Euler Ancestral Discrete Scheduler"};static tooltip="Schedulers control how an image is denoiser over the course of the inference steps. Schedulers can have small effects, such as creating 'sharper' or 'softer' images, or drastically change the way images are constructed. Experimentation is encouraged, if additional information is sought, search <strong>Diffusers Schedulers</strong> in your search engine of choice.";static placeholder="Default";static allowEmpty=!0}class InpainterEngineSizeInputView extends EngineSizeInputView{static tooltip="This engine size functions the same as the base engine size, but only applies when inpainting.\n\n"+EngineSizeInputView.tooltip;static defaultValue=null}class RefinerEngineSizeInputView extends EngineSizeInputView{static tooltip="This engine size functions the same as the base engine size, but only applies when refining.\n\n"+EngineSizeInputView.tooltip;static defaultValue=null}class InversionInputView extends SearchListInputView{static stringInputClass=ModelPickerStringInputView}class LoraInputView extends SearchListInputView{static stringInputClass=ModelPickerStringInputView}class LycorisInputView extends SearchListInputView{static stringInputClass=ModelPickerStringInputView}class CheckpointInputView extends SearchListInputView{static stringInputClass=ModelPickerStringInputView}class LoraFormView extends FormView{static autoSubmit=!0;static fieldSets={LoRA:{model:{label:"Model",class:LoraInputView,config:{required:!0}},weight:{label:"Weight",class:FloatInputView,config:{min:0,value:1,step:.01,required:!0}}}}}class LoraFormInputView extends FormInputView{static formClass=LoraFormView}class LycorisFormView extends FormView{static autoSubmit=!0;static fieldSets={LyCORIS:{model:{label:"Model",class:LycorisInputView,config:{required:!0}},weight:{label:"Weight",class:FloatInputView,config:{min:0,value:1,step:.01,required:!0}}}}}class LycorisFormInputView extends FormInputView{static formClass=LycorisFormView}class MultiLoraInputView extends RepeatableInputView{static noItemsLabel="No LoRA Configured";static addItemLabel="Add LoRA";static memberClass=LoraFormInputView}class MultiLycorisInputView extends RepeatableInputView{static noItemsLabel="No LyCORIS Configured";static addItemLabel="Add LyCORIS";static memberClass=LycorisFormInputView}class MultiInversionInputView extends RepeatableInputView{static noItemsLabel="No Textual Inversion Configured";static addItemLabel="Add Textual Inversion";static memberClass=InversionInputView}class ModelMergeModeInputView extends SelectInputView{static defaultOptions={"add-difference":"Add Difference","weighted-sum":"Weighted Sum"}}export{CheckpointInputView,LoraInputView,LycorisInputView,InversionInputView,MultiLoraInputView,MultiLycorisInputView,MultiInversionInputView,EngineSizeInputView,RefinerEngineSizeInputView,InpainterEngineSizeInputView,VaeInputView,DefaultVaeInputView,SchedulerInputView,ModelPickerStringInputView,ModelPickerListInputView,ModelPickerInputView,MaskTypeInputView,ModelMergeModeInputView};
